Skip to main content
POST
/
messages
curl --request POST \
  --url https://apis.vectalk.com.br/api/messages \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{
    "messaging_product": "whatsapp",
    "to": "5511999999999",
    "type": "video",
    "video": {
      "link": "https://example.com/video.mp4",
      "caption": "Assista ao tutorial!"
    }
  }'

Documentation Index

Fetch the complete documentation index at: https://docs.vectalk.com.br/llms.txt

Use this file to discover all available pages before exploring further.

messaging_product
string
default:"whatsapp"
required
to
string
required
recipient_type
string
default:"individual"
type
string
default:"video"
required
context
object
Para responder uma mensagem. Inclua message_id da mensagem original.
video
object
required
curl --request POST \
  --url https://apis.vectalk.com.br/api/messages \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{
    "messaging_product": "whatsapp",
    "to": "5511999999999",
    "type": "video",
    "video": {
      "link": "https://example.com/video.mp4",
      "caption": "Assista ao tutorial!"
    }
  }'